#
# spec file for package btrfsprogs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           btrfsprogs
Url:            http://oss.oracle.com/~mason/btrfs/
Version:        0.19
Release:        17.18.1
%define tar_version v0.19-35-g1b444cd
Summary:        Btrfs File System Utilities
License:        GNU General Public License (GPL)
Group:          System/Filesystems
Supplements:    filesystem(btrfs)
Source:         btrfs-progs-%{tar_version}.tar.bz2
Patch0:         memleak-fix.diff
Patch1:         0001-Plug-Memory-leak-in-find_and_setup_log_root.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libacl-devel libext2fs-devel libuuid-devel zlib-devel
# for /bin/true
Requires:       coreutils

%description
This package contains utilities for creating, checking, and
debugging btrfs file systems.

%prep
%setup -q -n btrfs-progs-%{tar_version}
%patch0
%patch1 -p1

%build
make %{?jobs:-j%jobs} CFLAGS="%{optflags}" all convert

%install
make install DESTDIR=${RPM_BUILD_ROOT} prefix=%{_prefix} bindir=/sbin mandir=%{_mandir}
# command line options are not compatible (bnc#599224)
#ln ${RPM_BUILD_ROOT}/sbin/btrfsck ${RPM_BUILD_ROOT}/sbin/fsck.btrfs
ln /bin/true ${RPM_BUILD_ROOT}/sbin/fsck.btrfs

%files
%defattr(-, root, root)
/sbin/btrfs
/sbin/btrfs-debug-tree
/sbin/btrfs-show
/sbin/btrfs-vol
/sbin/btrfs-convert
/sbin/btrfsck
/sbin/btrfsctl
/sbin/mkfs.btrfs
/sbin/fsck.btrfs
/sbin/btrfs-map-logical
%_mandir/man8/btrfs-image.8.gz
%_mandir/man8/btrfs-show.8.gz
%_mandir/man8/btrfsck.8.gz
%_mandir/man8/btrfsctl.8.gz
%_mandir/man8/mkfs.btrfs.8.gz
%_mandir/man8/btrfs.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 21 2011 dmueller@suse.de
- change to a hardlink
* Mon Mar 14 2011 dmueller@suse.de
- add link for fsck.btrfs (bnc#665899)
* Thu Dec 16 2010 dmueller@suse.de
- update to v0.19-35-g1b444cd:
  * used space accounting fix for the converter
  * Add btrfs-list for listing subvolumes
  * Add new util: 'btrfs'
  * multidevice support for check_mounted
  * check slash in deleting subvolumes
  * Add btrfsck option to select the super block copy
  * btrfs-debug-tree: add -d option to print only the device mapping
* Wed May 26 2010 dmueller@suse.de
- fix crash on creating filesystems (bnc#603620)
* Fri May  7 2010 dmueller@suse.de
- revert last change (bnc#599224#c3)
* Thu Apr 29 2010 dmueller@suse.de
- add hardlink from fsck.btrfs (bnc#599224)
* Fri Mar 26 2010 dmueller@suse.de
- fix memory leak (bnc#537633)
* Thu Mar  4 2010 jeffm@suse.de
- Updated to latest repo version.
  - used space accounting fix for the converter
  - btrfsctl: add snapshot/subvolume destroy ioctl
  - btrfsck: check root back/forward references
  - Add btrfs-map-logical program to map and read logical block numbers
* Fri Jan 22 2010 dmueller@suse.de
- build btfs-convert (bnc#572912)
* Sun Dec 20 2009 jengelh@medozas.de
- enable parallel build
* Mon Aug  3 2009 aschnell@suse.de
- added Supplements
* Mon Jul 27 2009 dmueller@suse.de
- move apps to /sbin
* Mon Jul 20 2009 dmueller@suse.de
- update to 0.19:
  - build with rpm optflags
  - install man pages
  - fix leak in extends checking (bnc#523447)
* Wed Feb 25 2009 dmueller@suse.de
- Initial package (0.18)
